import request from '@/utils/request'

// 查询物料信息列表
export function listBaseMaterialInfo(query) {
  return request({
    url: '/mes/base/baseMaterialInfo/list',
    method: 'get',
    params: query
  })
}

// 查询物料信息详细
export function getBaseMaterialInfo(objId) {
  return request({
    url: '/mes/base/baseMaterialInfo/' + objId,
    method: 'get'
  })
}

// 新增物料信息
export function addBaseMaterialInfo(data) {
  return request({
    url: '/mes/base/baseMaterialInfo',
    method: 'post',
    data: data
  })
}

// 修改物料信息
export function updateBaseMaterialInfo(data) {
  return request({
    url: '/mes/base/baseMaterialInfo',
    method: 'put',
    data: data
  })
}

// 删除物料信息
export function delBaseMaterialInfo(objId) {
  return request({
    url: '/mes/base/baseMaterialInfo/' + objId,
    method: 'delete'
  })
}
